Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class Substanceproduct

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Substanceproduct

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class Substanceproduct extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="intendedcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INNCLUSTER"/>
             <element name="deliveredcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" minOccurs="0"/>
             <element name="intendedname" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="deliveredname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Substanceproduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDDRUGCNK`
  `getDeliveredcd()`
  in Belgium the effective delivered CNK code out of the drug database
  `String`
  `getDeliveredname()`
  Gets the value of the deliveredname property.
  `CDINNCLUSTER`
  `getIntendedcd()`
  code of the INN cluster: should be in Belgium a selection out of a table, once available
  `String`
  `getIntendedname()`
  descriptive name of the INN based cluster: INN name + strength + generic pharmaceutical form or physical form + route of administration
  `void`
  `setDeliveredcd(CDDRUGCNK value)`
  Sets the value of the deliveredcd property.
  `void`
  `setDeliveredname(String value)`
  Sets the value of the deliveredname property.
  `void`
  `setIntendedcd(CDINNCLUSTER value)`
  Sets the value of the intendedcd property.
  `void`
  `setIntendedname(String value)`
  Sets the value of the intendedname property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Substanceproduct

    public Substanceproduct()

- ## Method Details

  - ### getIntendedcd

    public CDINNCLUSTER getIntendedcd()
    code of the INN cluster: should be in Belgium a selection out of a table, once available
    Returns:
      possible object is `CDINNCLUSTER`

  - ### setIntendedcd

    public void setIntendedcd(CDINNCLUSTER value)
    Sets the value of the intendedcd property.
    Parameters:
      `value` - allowed object is `CDINNCLUSTER`
    See Also:
      - `getIntendedcd()`

  - ### getDeliveredcd

    public CDDRUGCNK getDeliveredcd()
    in Belgium the effective delivered CNK code out of the drug database
    Returns:
      possible object is `CDDRUGCNK`

  - ### setDeliveredcd

    public void setDeliveredcd(CDDRUGCNK value)
    Sets the value of the deliveredcd property.
    Parameters:
      `value` - allowed object is `CDDRUGCNK`
    See Also:
      - `getDeliveredcd()`

  - ### getIntendedname

    public String getIntendedname()
    descriptive name of the INN based cluster: INN name + strength + generic pharmaceutical form or physical form + route of administration
    Returns:
      possible object is `String`

  - ### setIntendedname

    public void setIntendedname(String value)
    Sets the value of the intendedname property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getIntendedname()`

  - ### getDeliveredname

    public String getDeliveredname()
    Gets the value of the deliveredname property.
    Returns:
      possible object is `String`

  - ### setDeliveredname

    public void setDeliveredname(String value)
    Sets the value of the deliveredname property.
    Parameters:
      `value` - allowed object is `String`